Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#4432 closed defect (fixed)

ffplay http stream broken

Reported by: mobifon Owned by:
Priority: normal Component: avformat
Version: git-master Keywords: mov http seek
Cc: cus@passwd.hu, michael Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

ffplay http://www.jazzrocktv.de/media/JazzrockTV_090_iTunesSD.mp4

libavutil 54. 22.100 / 54. 22.100
libavcodec 56. 34.100 / 56. 34.100
libavformat 56. 29.100 / 56. 29.100
libavdevice 56. 4.100 / 56. 4.100
libavfilter 5. 13.101 / 5. 13.101
libavresample 2. 1. 0 / 2. 1. 0
libswscale 3. 1.101 / 3. 1.101
libswresample 1. 1.100 / 1. 1.100
libpostproc 53. 3.100 / 53. 3.100

Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'http://www.jazzrocktv.de/media/JazzrockTV_090_iTunesSD.mp4':

Metadata:

major_brand : M4V
minor_version : 1
compatible_brands: M4V mp42isom
creation_time : 2015-02-08 17:31:22

Duration: 00:49:15.16, start: 0.000000, bitrate: 1303 kb/s

Stream #0:0(eng): Video: h264 (Main) (avc1 / 0x31637661), yuv420p(tv), 640x360 [SAR 1:1 DAR 16:9], 1174 kb/s, 25 fps, 25 tbr, 25k tbn, 50 tbc (default)
Metadata:

creation_time : 2015-02-08 17:31:22
handler_name : Mainconcept MP4 Video Media Handler
encoder : AVC Coding

Stream #0:1(eng): Audio: aac (LC) (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 125 kb/s (default)
Metadata:

creation_time : 2015-02-08 17:31:22
handler_name : Mainconcept MP4 Sound Media Handler

ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd9b80008f0] stream 1, offset 0x422a7e: partial file
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred

Note: mpv play this stream correctly

Change History (12)

comment:1 Changed 4 years ago by mobifon

  • Component changed from undetermined to ffplay

comment:2 Changed 4 years ago by mobifon

[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=0-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:00 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 481527086'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 0-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd3600008f0] Format mov,mp4,m4a,3gp,3g2,mj2 probed with size=2048 and score=100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd3600008f0] ISO: File Type Major Brand: M4V
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=1180077-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:02 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 480347009'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 1180077-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd3600008f0] Before avformat_find_stream_info() pos: 1180085 bytes read:913778 seeks:1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd3600008f0] All info found0B f=0/0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fd3600008f0] After avformat_find_stream_info() pos: 1266596 bytes read:1000178 seeks:1 frames:11
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'http://www.jazzrocktv.de/media/JazzrockTV_090_iTunesSD.mp4':

Metadata:

major_brand : M4V
minor_version : 1
compatible_brands: M4V mp42isom
creation_time : 2015-02-08 17:31:22

Duration: 00:49:15.16, start: 0.000000, bitrate: 1303 kb/s

Stream #0:0(eng), 10, 1/25000: Video: h264 (Main), 2 reference frames (avc1 / 0x31637661), yuv420p(tv, left), 640x360 (640x368) [SAR 1:1 DAR 16:9], 1/50, 1174 kb/s, 25 fps, 25 tbr, 25k tbn, 50 tbc (default)
Metadata:

creation_time : 2015-02-08 17:31:22
handler_name : Mainconcept MP4 Video Media Handler
encoder : AVC Coding

Stream #0:1(eng), 1, 1/44100: Audio: aac (LC) (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 125 kb/s (default)
Metadata:

creation_time : 2015-02-08 17:31:22
handler_name : Mainconcept MP4 Sound Media Handler

detected 4 logical cores
[ffplay_abuffer @ 0x7fd360008a80] Setting 'sample_rate' to value '44100'
[ffplay_abuffer @ 0x7fd360008a80] Setting 'sample_fmt' to value 'fltp'
[ffplay_abuffer @ 0x7fd360008a80] Setting 'channels' to value '2'
[ffplay_abuffer @ 0x7fd360008a80] Setting 'time_base' to value '1/44100'
[ffplay_abuffer @ 0x7fd360008a80] Setting 'channel_layout' to value '0x3'
[ffplay_abuffer @ 0x7fd360008a80] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[ffplay_abuffersink @ 0x7fd360008fe0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'ffplay_abuffer' and the filter 'ffplay_abuffersink'
[AVFilterGraph @ 0x7fd360215cb0] query_formats: 2 queried, 0 merged, 3 already done, 0 delayed
[auto-inserted resampler 0 @ 0x7fd360009410] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Audio frame changed from rate:44100 ch:2 fmt:fltp layout:stereo serial:-1 to rate:44100 ch:2 fmt:fltp layout:stereo serial:1
[ffplay_abuffer @ 0x7fd354004fd0] Setting 'sample_rate' to value '44100'
[ffplay_abuffer @ 0x7fd354004fd0] Setting 'sample_fmt' to value 'fltp'
[ffplay_abuffer @ 0x7fd354004fd0] Setting 'channels' to value '2'
[ffplay_abuffer @ 0x7fd354004fd0] Setting 'time_base' to value '1/44100'
[ffplay_abuffer @ 0x7fd354004fd0] Setting 'channel_layout' to value '0x3'
[ffplay_abuffer @ 0x7fd354004fd0] tb:1/44100 samplefmt:fltp samplerate:44100 chlayout:0x3
[ffplay_abuffersink @ 0x7fd3540056b0] auto-inserting filter 'auto-inserted resampler 0' between the filter 'ffplay_abuffer' and the filter 'ffplay_abuffersink'
[AVFilterGraph @ 0x7fd354004cc0] query_formats: 2 queried, 0 merged, 3 already done, 0 delayed
[auto-inserted resampler 0 @ 0x7fd354005b20] ch:2 chl:stereo fmt:fltp r:44100Hz -> ch:2 chl:stereo fmt:s16 r:44100Hz
Video frame changed from size:0x0 format:none serial:-1 to size:640x360 format:yuv420p serial:1
[ffplay_buffer @ 0x7fd34c0b8b80] Setting 'video_size' to value '640x360'
[ffplay_buffer @ 0x7fd34c0b8b80] Setting 'pix_fmt' to value '0'
[ffplay_buffer @ 0x7fd34c0b8b80] Setting 'time_base' to value '1/25000'
[ffplay_buffer @ 0x7fd34c0b8b80] Setting 'pixel_aspect' to value '1/1'
[ffplay_buffer @ 0x7fd34c0b8b80] Setting 'frame_rate' to value '25/1'
[ffplay_buffer @ 0x7fd34c0b8b80] w:640 h:360 pixfmt:yuv420p tb:1/25000 fr:25/1 sar:1/1 sws_param:
[ffplay_crop @ 0x7fd34c0b8e10] Setting 'out_w' to value 'floor(in_w/2)*2'
[ffplay_crop @ 0x7fd34c0b8e10] Setting 'out_h' to value 'floor(in_h/2)*2'
[AVFilterGraph @ 0x7fd34c000b50] query_formats: 3 queried, 2 merged, 0 already done, 0 delayed
[ffplay_crop @ 0x7fd34c0b8e10] w:640 h:360 sar:1/1 -> w:640 h:360 sar:1/1
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4134607-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:20 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477392479'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4134607-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4199574-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:20 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477327512'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4199574-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4134977-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:20 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477392109'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4134977-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4201678-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:20 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477325408'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4201678-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4135702-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:20 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477391384'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4135702-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4204207-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:21 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477322879'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4204207-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4136427-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:21 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477390659'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4136427-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4207596-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:21 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477319490'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4207596-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4136819-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:22 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477390267'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4136819-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4210804-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:22 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477316282'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4210804-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4234337-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:22 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477292749'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4234337-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4240832-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:22 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477286254'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4240832-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4234697-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:22 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477292389'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4234697-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4244704-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:23 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477282382'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4244704-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4235388-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:23 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477291698'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4235388-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4249441-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:23 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477277645'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4249441-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4236119-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:23 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477290967'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4236119-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4252767-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:23 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477274319'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4252767-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4236809-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:24 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477290277'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4236809-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4257204-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:24 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477269882'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4257204-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4282408-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:25 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477244678'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4282408-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4289437-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:25 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477237649'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4289437-481527085/481527086'
[http @ 0x7fd36002ec20] header=
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4283121-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

[http @ 0x7fd36002ec20] header='HTTP/1.1 206 Partial Content'=0/0
[http @ 0x7fd36002ec20] http_code=206
[http @ 0x7fd36002ec20] header='Date: Tue, 07 Apr 2015 08:31:25 GMT'
[http @ 0x7fd36002ec20] header='Content-Type: video/mp4'
[http @ 0x7fd36002ec20] header='Content-Length: 477243965'
[http @ 0x7fd36002ec20] header='Connection: close'
[http @ 0x7fd36002ec20] header='Server: Apache'
[http @ 0x7fd36002ec20] header='Last-Modified: Sun, 08 Feb 2015 18:11:46 GMT'
[http @ 0x7fd36002ec20] header='ETag: "80140a7-1cb3852e-50e97963613e1"'
[http @ 0x7fd36002ec20] header='Accept-Ranges: bytes'
[http @ 0x7fd36002ec20] header='Content-Range: bytes 4283121-481527085/481527086'
[http @ 0x7fd36002ec20] header=
ALSA lib /var/tmp/portage/media-libs/alsa-lib-1.0.29/work/alsa-lib-1.0.29/src/pcm/pcm.c:7905:(snd_pcm_recover) underrun occurred
[http @ 0x7fd36002ec20] request: GET /media/JazzrockTV_090_iTunesSD.mp4 HTTP/1.1
User-Agent: Lavf/56.29.100
Accept: */*
Range: bytes=4293985-
Connection: close
Host: www.jazzrocktv.de
Icy-MetaData?: 1

comment:3 Changed 4 years ago by cus

  • Cc cus@passwd.hu added
  • Component changed from ffplay to avformat
  • Keywords http seekable added

Not really an ffplay issue, the problem is that libavformat/http does a lot of useless seeks instead of progressively downloading the stuff in one (or a few) requests.

Works fine with

ffplay -seekable 0 http://www.jazzrocktv.de/media/JazzrockTV_090_iTunesSD.mp4 

comment:4 Changed 4 years ago by mobifon

Thanks, with seekable works.

comment:5 Changed 4 years ago by mobifon

  • Resolution set to fixed
  • Status changed from new to closed
  • Version changed from unspecified to git-master

comment:6 Changed 4 years ago by cus

  • Resolution fixed deleted
  • Status changed from closed to reopened

I don't think we should close this, as this supposed to work with -seekable 1 as well, turning off seek support is just a workaround.

comment:8 follow-up: Changed 4 years ago by mobifon

Patch from http://trac.ffmpeg.org/ticket/2513 fix for me this.

comment:9 in reply to: ↑ 8 Changed 4 years ago by michael

Replying to mobifon:

Patch from http://trac.ffmpeg.org/ticket/2513 fix for me this.

no it does not, the problem just starts later in the file with the patch

comment:10 Changed 4 years ago by michael

  • Cc michael added

This file seems to have a growing difference between the streams packets the further one goes the more they are out of sync

comment:11 Changed 4 years ago by cehoyos

  • Keywords seek added; seekable removed
  • Resolution set to fixed
  • Status changed from reopened to closed

comment:12 Changed 4 years ago by cehoyos

  • Keywords mov added
  • Reproduced by developer set
Note: See TracTickets for help on using tickets.